<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$master=$sessao->getVar('master');
$anoAmostra=date("Y");
$finalidade=$sessao->getVar('finalidade');
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}







switch ($tela):
    case 'editar':
	   calculageral('GERM');
	break;
    case 'GE2':
	   calculageral('GE2');
	break;

    case 'eacel':
	   calculageral('EAC');
	break;
    case 'frio':
	   calculageral('FRI');
	break;
    case 'frio2':
	   calculageral('FR2');
	break;
    case 'frio3':
	   calculageral('FR3');
	break;

    case 'selecionarReteste':
	  $reanLongCapturada=$_GET['id'];
	  //echo("reanLongCapturada= $reanLongCapturada<br>");	
	 //vai editar todos os  testes germ desta amostra para o status_boletim=N
	 $sql="update rean1 set rea_boletim='N' where  (rea_teste='GERM' or rea_teste='GE2')  and rea_ficha=".$amostraLong;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
     //ATRIBUI O VALOR S PARA O CAMPO REA_BOLETIM justamente para a amostra selecionada
	 //$sql="update rean1 set rea_boletim='S' where rea_id = ".$reanLongCapturada." and   rea_teste='GERM' and rea_ficha=".$amostraLong;
	 $sql="update rean1 set rea_boletim='S' where rea_id = ".$reanLongCapturada;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 printMSG('Foi selecionado um reteste. Será este teste que vai ser acessado doravante.'   ,'alerta');
	   
	  
	  
	  ?>
	  <fieldset>
	  <table width="300" bgcolor="black">
      <tr>
	  <td bgcolor="#d6d6d6">Voltar para tela geral<?php echo $tipoDoc;?>  <a href="?m=germinacao&t=editar&novodoc=%s" title="Link NOVO" >  <img src="images/edit.png" </a></td>
	  </tr>
	  </table>
	  <?php
	break;

    case 'incluirReteste':
	 $reanLongCapturada=$_GET['id'];
	 //vai editar todos os  testes germ desta amostra para o status_boletim=N
	 $sql="update rean1 set rea_boletim='N' where  (rea_teste='GERM' or rea_teste='GE2')  and rea_ficha=".$amostraLong;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 $dataHojeAmericana=date('Y-m-d');
	 
     //aqui vai capturar primeiro a rean atual para desmarcar ela da opcao ativada
     //depoi sde criar desmarca a atual e ja esta ativo pois o defaul é ativo       
	 $sql="insert into rean1(rea_ficha,rea_teste,rea_datageralteste)";
     $sql.="values('$amostraLong','GERM','$dataHojeAmericana')";
     //echo("sql de gravacao=$sql   dataHojeAmericana=$dataHojeAmericana<br>");
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 $idNota=$userNota->linhasafetadas;
	 printMSG('Foi criado um reteste. Será este teste que vai ser acessado doravante.'   ,'alerta');
	  //echo("reanLongCapturada= $reanLongCapturada reanLongCRIADA= $idNota<br>");	
	  ?>
	  <fieldset>
	  <table width="300" bgcolor="black">
      <tr>
	  <td bgcolor="#d6d6d6">Voltar para tela geral<?php echo $tipoDoc;?>  <a href="?m=germinacao&t=editar&novodoc=%s" title="Link NOVO" >  <img src="images/edit.png" </a></td>
	  </tr>
	  </table>
	  <?php
	break;

    case 'excluirReteste':
	  $reanLongCapturada=$_GET['id'];
	  //nao pode excluir reteste que esta ativo e deve orientar para que mude a referencia
      //VAI VERIFICAR SE O TESTE QUE ESTA QUERENDO EXCLUIR TEM STATUS=S
	 $user = new rean1();
	 $user->extras_select = " WHERE   rea_boletim='S' and rea_teste ='GERM' AND rea_id=".$reanLongCapturada;
     $user->selecionaTudo($user);
     $registros=$user->linhasafetadas;
     if($registros>0):
	 	printMSG('O sistema impede a exclusão do teste/reteste de ' . $nomeTeste.' que esta ativo. Se for o caso, selecione outro reteste e depois exclua este que pretendias.'   ,'alerta');
	 
	 else:
	     //aqui a rotina de exclusao
	     //ATRIBUI O VALOR S PARA O CAMPO REA_BOLETIM justamente para a amostra selecionada
		 $sql=" delete from rean1 where rea_id = ".$reanLongCapturada;
	     $userNota = new generica();
	     $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
	     printMSG('Exluiu o reteste.'    ,'alerta');
	 endif;
	  ?>
	  <fieldset>
	  <table width="300" bgcolor="black">
      <tr>
	  <td bgcolor="#d6d6d6">Voltar para tela geral<?php echo $tipoDoc;?>  <a href="?m=germinacao&t=editar&novodoc=%s" title="Link NOVO" >  <img src="images/edit.png" </a></td>
	  </tr>
	  </table>
	  <?php
	break;





	default:
	   echo '<p>A tela solicitada não existe.</p>';
	break;
endswitch;

function calculageral($nomeTeste)
{
  
			
			$sessao = new sessao();
			$finalidade=$sessao->getVar('finalidade');
			//echo("finalidade=$finalidade<br>");
			
			$amostraLong=$sessao->getVar('amostraLong');
			$nomeOperador=$sessao->getVar('nomeuser');
            $idLabo=$sessao->getVar('idLabo');
			$cliente=strtoupper($sessao->getVar('cliente'));
			if(substr(strtoupper($cliente),0,8)=='GERMINAX')$cliente="GERMINAX";//este casuismo é necessario pois a ricetec é RiceTec......
	
            //AQUI VAI GRAVAR A CLV CASO REALMENTE TENHA VALOR, OU SEJA SE A PESSOA COLOCOU
			// DADOS NA SEGUNDA LEITURA OU TERCEIRA...


        	if(isset($_POST['gravaclv'])):
			   //echo("vau gravar clv <br>");
               //deve verificar se tem o registro
			   $user = new rean1();
			   $user->extras_select = " WHERE  rea_teste='CLV' and  rea_ficha=".$amostraLong;
               $user->selecionaTudo($user);
               $registros=$user->linhasafetadas;
			   //echo("lllllllllllllllinhas afetadas= $registros<br>");
			   $nomeDete='CLV';
			   $resultadoFinal=$_POST['valorCLV'];
               if($resultadoFinal>0):
	               if($registros>0):
				       //se ja tem o teste entao so atualiza
					   //GRAVA AS LEITURAS DiRETO NA REAN dete CLV
					   $sql="update rean1 set rea_v1='$resultadoFinal' where  rea_teste='CLV' and  rea_ficha=".$amostraLong;
	  	 	           $generica=new tabelagenerica();
					   $generica->grava_registro_com_retorno($sql); 
		               //echo("ggggg sql=$sql<br>");
	               else:
				   	   //se nao tem o teste entao inclui
		               //cria registro novoGRAVA AS LEITURAS DiRETO NA REAN
					   $sql="insert into rean1(rea_v1,rea_teste,rea_ficha) values('$resultadoFinal','$nomeDete','$amostraLong')";
	  	 	           $generica=new tabelagenerica();
					   $generica->grava_registro_com_retorno($sql); 
		               //echo("ggggg sql=$sql<br>");
				   endif;
				   printMSG('CLV=NORMAIS-FRACAS.(normais=fortes+fracas) As fortes ficam na primeira leitura as fracas nas demais. Ok. Gravação normal.'   ,'alerta');

             else: //caso nao tenha sido informado nada nas demais linhas
			    printMSG('Valor de CLV=' . $resultadoFinal.' CLV=NORMAIS-FRACAS.(normais=fortes+fracas) . As fortes ficam na primeira leitura as fracas nas demais. Caso as fracas nao tenham sido lançadas nao faz sentido gravar CLV. Para gravar o CLV precisa antes clicar em CALCULAR&GRAVAR. Não houve gravação.'   ,'alerta');

              endif;
			  
			  
			  
			  
 	        endif;//checa o isset da gravacao de clv	


			
		if(isset($_POST['bt_reteste'])):				   
			$userRean1 = new rean1();
		    $userRean1->extras_select =  " where  rea_teste='".$nomeTeste."' and  rea_ficha=".$amostraLong;
		    $userRean1->selecionaCampos($userRean1);
	        ?>
			<fieldset>
			<legend>Teste e reteste de <?php  echo $nomeTeste; ?> (Aquele que estiver com status=S vai para boletim) </legend>

            <table>
			<thead>
                <tr>
                    <th>Referencia e links</th><th bgcolor="grey">Data do teste</th><th bgcolor="silver">Status Ativado</th><th bgcolor="grey">Germ</th>
                </tr>
            </thead>
			<?php
						
		    while ($resRean1 = $userRean1->retornaDados()):
		        $reanLong=$resRean1->rea_id;
		        echo "<tr>";
  		            printf('<td>%s',substr($resRean1->rea_id,0,20));
					printf('<a href="?m=germinacao&t=incluirReteste" title="Novo teste/reteste"><img src="images/add.png" alt="Incluir reteste" /></a>
					<a href="?m=germinacao&t=excluirReteste&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					<a href="?m=germinacao&t=selecionarReteste&id=%s" title="Editar/Selecionar"><img src="images/edit.png" alt="Editar/Selecionar" /></a>
					</td>',$resRean1->rea_id,$resRean1->rea_id,$resRean1->rea_id);
                    printf('<td bgcolor="#898b8d">%s</td>',date("d/m/Y",strtotime($resRean1->rea_datageralteste)));
                    printf('<td bgcolor="silver">%s</td>','['.$resRean1->rea_boletim.']');
                    printf('<td bgcolor="#898b8d">%s</td>','['.$resRean1->rea_v1.'%]');
		        echo "</tr>";
			endwhile;	   

			$userRean1 = new rean1();
		    $userRean1->extras_select =  " where  rea_teste='GE2' and  rea_ficha=".$amostraLong;
		    $userRean1->selecionaCampos($userRean1);
		    while ($resRean1 = $userRean1->retornaDados()):
		        $reanLong=$resRean1->rea_id;
		        echo "<tr>";
  		            printf('<td>%s',substr($resRean1->rea_id,0,20));
					printf('<a href="?m=germinacao&t=incluirReteste" title="Novo teste/reteste"><img src="images/add.png" alt="Incluir reteste" /></a>
					<a href="?m=germinacao&t=excluirReteste&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					<a href="?m=germinacao&t=selecionarReteste&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$resRean1->rea_id,$resRean1->rea_id,$resRean1->rea_id);
                    printf('<td bgcolor="#898b8d">%s</td>',date("d/m/Y",strtotime($resRean1->rea_datageralteste)));
                    printf('<td bgcolor="silver">%s</td>','['.$resRean1->rea_boletim.']');
                    printf('<td bgcolor="#898b8d">%s</td>','['.$resRean1->rea_v1.'%]');
		        echo "</tr>";
			endwhile;	   


            echo("</table>");			

	        echo("</fieldset>");


		endif;	
			
			
			
			
			if(isset($_POST['manual'])):
	           echo '<iframe src="manual2010.php?opcaoManual=germinacao" style="border:0" width="100%" height="350"></iframe>';//funciona
 	        endif;	

			if($nomeTeste=='GERM') $legendaTeste='Germinação';
			if($nomeTeste=='GE2') $legendaTeste='Germinação[2]';
			if($nomeTeste=='EAC') $legendaTeste='Envelhecimento acelerado';
			if($nomeTeste=='FRI') $legendaTeste='Teste de frio';
			if($nomeTeste=='FR2') $legendaTeste='Teste de frio[2]';
			if($nomeTeste=='FR3') $legendaTeste='Teste de frio[3]';
			$objetocalculo = new calculos(); //calcula todos valores finais
			
			if(isset($_POST['fechar'])):
			  //echo("nomeTeste= $nomeTeste<br>");
			  if(isset($_POST['cb_fechar'])):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='s' where  rea_teste='".$nomeTeste."' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Esta amostra foi fechada e so podera ser reaberta se entrar com uma senha de administrador. Ok. Gravação normal.' ,'alerta');	
			   else:
			   		printMSG('Não houve fechamento, porque antes precisa  marcar SIM. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar
			
			if(isset($_POST['reabre'])):
			  $master=$sessao->getVar('master');
			  //echo("nomeTeste= $nomeTeste master  $master<br>");
			  if($master=='s'):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='n' where  rea_teste='".$nomeTeste."' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           //grava ocorrencia
				   $finalidadeVolatil="Reabrir ".$nomeTeste;
	               $valor='-O-';				   
				   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidadeVolatil,$valor,$idLabo);
				   printMSG($nomeTeste.'Teste foi reaberto!. Gravou também uma ocorrência.' ,'alerta');	

			   else:
			   		printMSG('Para reabrir este teste, desta amostra, precisa entrar no programa com a senha do ADMINISTRADOR. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar
			
			
			
			
			
			
			
            //echo("xxxxxxxxxxxxxxxxxxesta no germinacao  amostralong=$amostraLong  numeroLinhas=$numeroLinhas numeroRepeticoes=$numeroRepeticoes<br>");


            //echo("  extras_select $userAmostra->extras_select <br>");  

			//$sessao->setVar('amostraLong', $amostraLong);
			//$sessao->setVar('idCultivar',$idCultivar);
			//$sessao->setVar('idProdutor',$idProdutor);
			//$sessao->setVar('ultima',$ultima);


			$teste==$nomeTeste;
			//$numeroRepeticoes=8;
			//$repeticao="4x100";
			//$repeticao="8x50";
			$numeroLinhas=15;
			$vaiCalcular="NAO";
	//////////////////////////////////////////////////////////////////////
	        //echo("OOOOOOOOOOOOOOteste=$teste userAmostra->extras_select= $userAmostra->extras_select <br>");

 
		   if (isset($_POST['acharDigitada']) || isset($_POST['acharAvanca'])  || isset($_POST['acharRecua']) || isset($_POST['acharUltima'])):
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   else:	
    	     $reanLong=$_POST['reanLong']; //toda vez que nao for achar ele pega o reanlong do post
			 $finalizada=$_POST['finalizada'];				
		   endif;//fecha o 




		  
	///////////////////////fim do setor achar/////////////////////////////////
	
	

	     if(isset($_POST['calculargravar'])):
		    $vaiCalcularGravar="SIM";
		    //echo("esta no isset calcular gravar reanLong=$reanLong finalizada=$finalizada<br>");
		    if($vaiCalcularGravar=="SIM"):
			    //echo ("aaaaaaaaaamostralong= $amostraLong <br>");
				$repeticao=$_POST['formato'];
				//caso 8x50
				if(substr($repeticao,0,3)=="8x5"):
					     $numeroRepeticoes=8;
					     $numeroRepeticoes2012=8;
					     $base=50;
					     $fator=0.5; 
						 $fatorEspecial=1;  
	            endif; 
				//caso 4x100
				if(substr($repeticao,0,3)=="4x1"):
					     $numeroRepeticoes=4;
					     $numeroRepeticoes2012=4;
					     $base=100;
					     $fator=1.0;
						 $fatorEspecial=1;   
	            endif;
	            //caso 4x50
				if(substr($repeticao,0,3)=="4x5"):
					     $numeroRepeticoes=4;
					     $numeroRepeticoes2012=4;
					     $base=50;
					     //$fator=1;
						 $fator=1; 
						 $fatorEspecial=2;  
	            endif;
		

			    //echo("xxxxxxxxxxxxxxxxxxesta   amostralong=$amostraLong  numeroLinhas=$numeroLinhas numeroRepeticoes=$numeroRepeticoes<br>");
			    //deleta as os registros de leituras vinculadas ao reanlong, para gravar novamente(preciso fazer isso pois pode ser que foi incluido um registro, ou editado)
	           
			    $user = new leituras();
	            $user->extras_select = " WHERE lei_rean=".$reanLong;
				$user->deletarRegistros($user);
				for($i=1;$i<=$numeroLinhas;$i++):
					for($j=1;$j<=$numeroRepeticoes;$j++):
						 $campo="c".$i.$j;
						 $posicao=$i.$j;
						 //echo("campo= $campo<br>");
						 $conteudo=$v160[$posicao];
					     $lido=$_POST[$campo];
						 //echo("LIDO=$lido<br>");
						 /////////////
			             $posicao=$i.$j;
			             $v160[$posicao]=$lido;
						 ////////////
						 //aqui grava as leituras ou seja tudo que digitar (que seja diferente de branco)
						 if($lido<>""):
						    $colu=$j;
							$coluf="C".$colu;
							if($colu<10) $coluf="C0".$colu;
							$linha=$i;
							$linhaf="L".$linha;
							if($linha<10) $linhaf="L0".$linha;
							$valor="V".$lido;
							$gravado=$linhaf.$coluf.$valor;
							//vai gravar os registros na tabela leituras
							
		    					$user = new leituras(array(
					                'lei_leitura'=>$gravado,
					                'lei_rean'=>$reanLong,
					            ));
				                $user->inserir($user);

			 			 endif;//examina se esta preenchido
					endfor;//for das repeticose	   
				endfor;//for do numero de linhas
			endif;//examina se esta fechada ou nao
		 endif;//isset do botao calcular e gravar


                //$vetorMontado[1]=$amostra;
                //$vetorMontado[2]=$lote;
				//$vetorMontado[14]="soja";
 				$rean = new rean1();
				$rean->extras_select =" where  rea_boletim='S' and rea_teste='".$nomeTeste."' AND rea_ficha=".$amostraLong ;
                $rean->selecionaTudo($rean);
				$contador=0;
				while ($resRean = $rean->retornaDados()):
				    $contador++;
					$reanLong=$resRean->rea_id;
					$finalizada=$resRean->rea_finalizada;
                    $vetorMontado[2]=$resRean->rea_segunda_leitura;
                    $vetorMontado[3]=$resRean->rea_datainicio;
                    $vetorMontado[4]=$resRean->rea_duracao;
                    $vetorMontado[5]=date("d/m/Y",strtotime($resRean->rea_datageralteste));
                    $vetorMontado[6]=$resRean->rea_campo60a;//tratamento
					$vetorMontado[7]=$resRean->rea_campo60b;//substrato
					$vetorMontado[8]=$resRean->rea_campo20b;//germinador
					$vetorMontado[9]=$resRean->rea_campo20a;//temperatura
					$vetorMontado[10]=$resRean->rea_campo60c;//fungos
					$vetorMontado[11]=$resRean->rea_operador;
					$vetorMontado[12]=$resRean->rea_campo100;
					$vetorMontado[13]=$resRean->rea_validade;
				    $repeticao=$resRean->rea_lei4;
                   // echo("rrrrrrrrrrrrrrrepeticao= $repeticao<br>"); 

					//$vetorMontado[15]=$reanLong;
                    //printf('<td>%s</td>tttttxxxxxxxxxxxxxxx',$res->rea_lei1);
                endwhile;
				
				
				//se contador foz zero sifnifica que nao achou registro entao cria um rapidao
				if($contador==0):
                    //define o formato sendo sempre o mesmo 4x100 no envelhecimento e outros tipos na germinacao 8x50  16x25 etc
				    if($nomeTeste=="EAC"):
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="GE2"): 
                       $repeticao='8x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 

					elseif($nomeTeste=="FRI"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="FR2"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					elseif($nomeTeste=="FR3"): 
                       $repeticao='4x50';
					   $datadia=date("Y-m-d");  
					   $vetorMontado[5]=date("d/m/Y",strtotime($datadia)); 
					else:
					   	//VAI LER TODA VEZ O CONTEUDO DA TABELA  //isso aqui é pifio pois o registro 
						//na rean para germinacao ja foi feito na hora de registrar a amaostra
						//so stou deixando aqui para evitar duvidaa e tambem se tiver outro teste que usa isso aqui VGPL ETC..
					    $user = new tabeladeful();
						$user->extras_select =" where   cod_lab=".$idLabo ;
					    $user->selecionaTudo($user);
						while ($res = $user->retornaDados()):
					        $repeticao=$res->formato_germinacao;//4x100  8x50  4x50
					    endwhile;
					endif;
		            //criando o registro do teste que está sendo trabalhado
					//se estiver trabalhando com analise previa entao usa 4x50
					if($finalidade=='PREVIA')$formato='4x50';
	
					
		            $reanNova = new rean1(array(
		                'rea_ficha'=> $amostraLong,
		                'rea_teste'=> $nomeTeste,
		                'rea_lei4'=>  $repeticao,
		                'rea_datageralteste'=>  $datadia,
		            ));
		            $reanLong=$reanNova->inserir($reanNova);
					echo("Criou registro novo para salvar seus dados<br>");
		        endif;
				

	     //trazer alguns campos da amostra anterior
	     if(isset($_POST['trazer'])):
		    //ENTRA DE QUAKQUER MANEIRA
            //vai capturar a id da amostra anterior
            $registroAtual=$_POST["amostra"];
		   	$registroTrazer=$registroAtual-1;
	 	 	$generica=new tabelagenerica();
			$generica->tabela="ficha";
			$generica->campos_valores = array(
					"fic_id" => NULL,
				);
            $anoAmostra=date("Y");
			$sessao = new sessao();	
			$idLabo=$sessao->getVar('idLabo');	
			if($finalidade=='DEFINITIVA'):		
			    $generica->extras_select =" where   fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' &&  fic_amostra=".$registroTrazer;
			else:
			    $generica->extras_select =" where   fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' &&  fic_amostra_previa=".$registroTrazer;
			endif;	
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$amostraLongTrazer =$resgenerica->fic_id;
		    endwhile;
			//echo(" id amostra anteriro= $amostraLongTrazer<br>");
					 
		    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
			$generica->tabela="rean1";
			
			
			$generica->campos_valores = array(
					"rea_campo60a" => NULL,
					"rea_campo60b" => NULL,
					"rea_campo20a" => NULL,
					"rea_campo20b" => NULL,
					"rea_datageralteste" => NULL,
					"rea_datainicio" => NULL,
					"rea_segunda_leitura" => NULL,
					"rea_duracao" => NULL,
				);
				
				
				
			$generica->extras_select ="  where  rea_teste='".$nomeTeste."' AND rea_ficha=".$amostraLongTrazer ;
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$vetorMontado[3]=$resgenerica->rea_datainicio;//inicio é campo string
				$vetorMontado[4]=$resgenerica->rea_duracao;//duracao é campo string

				$vetorMontado[5]=date("d/m/Y",strtotime($resgenerica->rea_datageralteste));//datageralteste
				$vetorMontado[6]=$resgenerica->rea_campo60a;//tratamento
				$vetorMontado[7]=$resgenerica->rea_campo60b;//substrato
				$vetorMontado[8]=$resgenerica->rea_campo20b;//germinador
				$vetorMontado[9]=$resgenerica->rea_campo20a;//temperatura
				$vetorMontado[11]=$resgenerica->rea_operador;//operador
		    endwhile;		 
		 
            printMSG('*R Qualquer comando indicado com *R traz da amostra anterior o Inicio do teste+Duração+Data do teste+Tratamento+Temperatura+Germinador+Substrato. Depois ajuste o que for preciso e salvar no final.'   ,'alerta');
         endif;	//fecha o isset do comando trazer



				
				

		         if(isset($_POST['trocarformato'])):
		      		 $repeticao=$_POST['formato'];
					 $user = new rean1(array(
		             'rea_lei4'=>$repeticao,				
		            ));
		            $user->valorpk = $reanLong;
		            $user->extras_select = "WHERE   rea_id=$reanLong";
		            $user->selecionaTudo($user);
		            $res = $user->retornaDados();
		            $user->atualizar($user);
		            if ($user->linhasafetadas==1):
		                printMSG('Dados alterados com sucesso. ');
		                unset($_POST);
		            else:
						printMSG('Ok.Nada foi alterado. ','alerta');
		            endif;			
				 endif;

				 

                 //echo("aaaaaaaaarrrrrrrrrrrrrrrepeticao= $repeticao  catifunda=$catifunda<br>"); 
               // echo("vvvvvvvvvvvvvvvvvvvvvf1= $vetorRean[8] $user->extras_select <br>");
                //caso 8x50 =400
				 if(substr($repeticao,0,3)=="8x5"):
                     //echo("bbbbbbbbbbrrrrrrrrrepeticao= $repeticao numeroRepeticoes=$numeroRepeticoes<br>"); 
				     $numeroRepeticoes=8;
				     $numeroRepeticoes2012=8;
				     $base=50;
				     $fator=1; 
					 $fatorEspecial=1;    
				 endif;
                 //caso 4x100
				 if(substr($repeticao,0,3)=="4x1"):
				     $numeroRepeticoes=4;
				     $numeroRepeticoes2012=4;
				     $base=100;
				     $fator=1.0; 
					 $fatorEspecial=1;    
				 endif;
                 //caso 4x50
				 if(substr($repeticao,0,3)=="4x5"):
				     $numeroRepeticoes=4;
				     $numeroRepeticoes2012=4;
				     $base=50;
				     $fator=0.5;   //estava 0.5 em 10.07.14
					 $fatorEspecial=2;  
                 endif;

                 //caso 16x25
				 if(substr($repeticao,0,3)=="16x"):
				     $numeroRepeticoes=16;
				     $numeroRepeticoes2012=16;
				     $base=25;
				     $fator=1;   //estava 0.5 em 10.07.14
					 $fatorEspecial=1;  
                 endif;

			 
			 
			// echo("repeticao=$repeticao  numerorepeticoes= $numeroRepeticoes numeroRepeticoes2012= $numeroRepeticoes2012<br>");
			 
			 
			 
			 //aqui os tamanhos do maxleng
			 $vetorMaxLeng[3]=10;
			 $vetorMaxLeng[4]=10;
			 $vetorMaxLeng[5]=10;
			 $vetorMaxLeng[6]=60;
			 $vetorMaxLeng[7]=60;
			 $vetorMaxLeng[8]=25;
			 $vetorMaxLeng[9]=20;
			 $vetorMaxLeng[10]=60;
			 $vetorMaxLeng[11]=20;
			 $vetorMaxLeng[12]=100;
			 $vetorMaxLeng[13]=10;


		//vai achar o vetor
		$rean=2;
 
		//aqui a bre a tabela leituras e le os registros montando o array v160///////////////////////
		$user = new leituras();
		$user->extras_select =" where  lei_rean=".$reanLong;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
			$gravado=$res->lei_leitura;
			//if ($contador<5)echo("valor lido=$gravado<br>");
			$linha=substr($gravado,1,2);
			$coluna=substr($gravado,4,2);
			$valorRecuperado=substr($gravado,7);
			//  $v160[23]="7";
			//  $v160[24]="3";
			$i=1*$linha;
			$j=1*$coluna;
			$posicao=$i.$j;
			$v160[$posicao]=$valorRecuperado;
        endwhile;
		//$v160[21]='-';




		$coluna=array("Repetições......","a","b","c","d","e","f","g","h");
		$numeroLinhas=15;
		$rotuloLinha[1]="Normais=". $vf1;
		$rotuloLinha[2]="(2ªLeitura)";
		$rotuloLinha[3]="(3ªLeitura)";
		$rotuloLinha[4]="(4ªLeitura)";
		$rotuloLinha[5]="Deformadas=". $vf2;
		$rotuloLinha[6]="(2ªLeitura)";
		$rotuloLinha[7]="(3ªLeitura)";
		$rotuloLinha[8]="(4ªLeitura)";
		$rotuloLinha[9]="Infec.";
		$rotuloLinha[10]="(2ªLeitura)";
		$rotuloLinha[11]="(3ªLeitura)";
		$rotuloLinha[12]="(4ªLeitura)";
		$rotuloLinha[13]="Mortas=". $vf3;
		$rotuloLinha[14]="Duras=". $vf4;
		$rotuloLinha[15]="Dorm.=". $vf5;

		//echo("duras= $vf4 dorm=$vf5<br>");


		$mediaOto[1]="M=";
		$mediaOto[2]="F=";
		$mediaOto[3]="-";
		$mediaOto[4]="-";
		$mediaOto[5]="M=";
		$mediaOto[6]="-";
		$mediaOto[7]="-";
		$mediaOto[8]="-";
		$mediaOto[9]="M=";
		$mediaOto[10]="-";
		$mediaOto[11]="-";
		$mediaOto[12]="-";
		$mediaOto[13]="M=";
		$mediaOto[14]="M=";
		$mediaOto[15]="M=";

		 
		$direita[1]="Amostra";
		$direita[2]="Segunda Leitura";
		$direita[3]="Inicio Teste";
		$direita[4]="Duração";
		$direita[5]="Final Teste";
		$direita[6]="Tratamento";
		$direita[7]="Substrato";
		$direita[8]="Germinador";
		$direita[9]="Temperatura";
		$direita[10]="Fungos";
		$direita[11]="Operador/analista";
		$direita[12]="Observ.";
		$direita[13]="Validade";
		$direita[14]="Espécie";
		$valor=$_POST["c22"];
		//$numeroRepeticoes=4;

		//aqui vai abrir uma chave enorme que praticamente fara todo serviço e fecha bem la emvaixo
		//aqui ja fez a gravação ja fez a leitura e vai agora calcular
		   //aqui vai gravar

		 
		//aqui faz o controle todinho
		//$numeroRepeticoes=8;
		//se for 8x50 repeticoes a base  é 50 e o fator é 2
		//se for 4x100 repeticoes a base  é 100 e o fator é 1
		//se for 4x50 repeticoes a base  é 50 e o fator é 1


		   //aqui vai somar  e colocar na promeira linha
		   for($j=1;$j<=$numeroRepeticoes;$j++)
			{
		     $soma=0;	
			 $posicao="1".$j;
		  	for($i=2;$i<=$numeroLinhas;$i++)
				{
					 $campo="c".$i.$j;
					 //echo("campo= $campo<br>");
				     $lido=$_POST[$campo];
					 if($lido<>"")
					 {
		                 $soma+=$lido;
					 }
				}
			  if($trocouAmostra=='SIM')$soma=0;	//QUANDO TROCA DEVE VIR A BASE E NAO DADOS ANTERIORES
		      $v160[$posicao]=$base-$soma;
			}


		/*
		finalidade da tabela acumuladora: (nao retirar este texto)
		a tabela original  pode receber valores nas 20 linhas mas a acumuladora soma e reune numa linha a apenas as varias leituras de anosrmais por exemplo
		outra situação sao as fortes e fracas que sao trabalhadas de forma independente 
		a acumuladora vai ser assim:
		vai ter 4 colunas pois vou adensar se tiver com 8 repeticoes mas vou manter os decimais ou seja nao vou arredondar ainda. 
		vai ser a matriz dos sonhos, facil de manusear depois. Itabira 28/02/2013
		linhaAcumulada=1-->Normais
		linhaAcumulada=2-->fracas
		linhaAcumulada=3-->deformadas
		linhaAcumulada=4-->infecionadas
		linhaAcumulada=5-->anormais(resumodas duas anteriores)
		linhaAcumulada=6-->mortas
		linhaAcumulada=7-->duras
		linhaAcumulada=8-->dormentes
		*/

		//crio acumuladora2013
		 $linhaAcumulada=1;//normais
		 $linha=1;	
		 $limite=4;
         //zera a matriz
         for($y=1;$y<=16;$y++):
		    for($i=1;$i<=16;$i++):
                 $acumuladora2013[$Y][$j]=0;
            endfor;   		 
		 endfor;		 
		 
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
		         //echo("qqqqqqqsomas parciais =  $acumuladora[$posicaofinal] posicao= $posicaofinal v160= $v160[$posicaotodas]<br>");
			   }   
		 }
		 
		 $linhaAcumulada=2;//fracas	
		 $linha=2;
		 $limite=4;
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
			   }   
		 }
		 
		 $linhaAcumulada=3;//deformadas	
		 $linha=5;
		 $limite=8;
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
			   }   
		 }
		 
		 
		 $linhaAcumulada=4;//infecionadas
		 $linha=9;
		 $limite=12;
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
			   }   
		 }
		 //aqui vai criar a linha das anormais que será a soma das outras duas
		 $linhaAcumulada=5;//infecionadas
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
			 $acumuladora2013[$linhaAcumulada][$j]=$acumuladora2013[3][$j]+$acumuladora2013[4][$j];
		 }


		 $linhaAcumulada=6;//mortas
		 $linha=13;
		 $limite=13;
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
			   }   
		 }

		 $linhaAcumulada=7;//duras
		 $linha=14;
		 $limite=14;
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
			   }   
		 }

		 $linhaAcumulada=8;//dormentes
		 $linha=15;
		 $limite=15;
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		 {
		    for($i=$linha;$i<=$limite;$i++)
			   {
		         $posicaotodas=$i.$j;
			     $posicaofinal=$linha.$j;
			     $acumuladora2013[$linhaAcumulada][$j]+=$v160[$posicaotodas];
			   }   
		 }

		 //examina se a linha 2 tem vlores ou seja se tem fortes e fracas
		 $fracasefortes="NAO";
		 $linhaAcumulada=2;   //as fracas	
		 for($j=1;$j<=$numeroRepeticoes;$j++)
		       {
			     if($acumuladora2013[2]>0) $fracasefortes="SIM";
			   }   
		//echo("fracas e fortes  $fracasefortes<br>");





		//quando for 8 colunas ele vai reduzir para 4 colunas so na acumuladora é claro...
		//pega coluna  1 e 2 e coloca na 1,  em seguida  pega coluna 3 e 4 e coloca na 2 e assim por diante
		if($numeroRepeticoes==8)
		{
		     for($linhaAcumulada=1;$linhaAcumulada<=8;$linhaAcumulada++)
			 {
			     for($i=1;$i<=4;$i++)
		         {
				     $volatil=($i-1)*2+1;
				     $volatil1=$volatil+1;
			         $acumuladora2013[$linhaAcumulada][$i]=$acumuladora2013[$linhaAcumulada][$volatil]+$acumuladora2013[$linhaAcumulada][$volatil+1];
				 }
			 }
		} //fim do teste se for 8 colunas


		//ve o que calculou para linha2
		$linhaAcumulada=1;
		 for($j=1;$j<=4;$j++)
		 {
		     $volatil=$acumuladora2013[$linhaAcumulada][$j];
		    //echo("aaaaaaaaaadeformad =  $volatil <br>");
		 }	



		/////////////////////////////////aqui termina a chave qur testa se tipo diferente de null/////////////////////////////////////////////
		//soma os valores de normais e ja captura o maior e o menosr
		$somaNormais=0;
		$maiorNormal=0;
		$menorNormal=1000;
		for($i=1;$i<=4 ;$i++)
		{
		   $somaNormais+=$acumuladora2013[1][$i];	
           //quero pegar o maior e o menor
		   if($maiorNormal<$acumuladora2013[1][$i]):
		       $maiorNormal=$acumuladora2013[1][$i];
		   endif;	   
		   if($menorNormal>$acumuladora2013[1][$i]):
		       $menorNormal=$acumuladora2013[1][$i];
			   $qualColuna=$i;	
		   endif;	   
		}
		//calcula a diferenca entra o maior e o menor e o menor e pega a posicao do menor
		$diferenca=$maiorNormal-$menorNormal;
		$posicao=0;

		$menor=$menorNormal;
		$menor=$menor*$fatorEspecial;
		$media=$somaNormais/4 *$fatorEspecial ;
		
		//echo("xxxxxxxxmedia $media  menor= $menor diferenca=$diferenca<br>");

		$mediaInteira=round($media);
		$generica=new tabelagenerica();
		$generica->tabela="tolerancia";
		$generica->campos_valores = array(
				"dif4x100" => NULL,
				"dif3x100" => NULL,
			);
		$generica->extras_select =" where  germ=".$mediaInteira;
        $generica->selecionaTudo($generica);
		while ($resgenerica = $generica->retornaDados()):
			$tolerancia4x100=$resgenerica->dif4x100;
			$tolerancia3x100=$resgenerica->dif3x100;
	    endwhile;
		//$sql="select dif4x100,dif3x100 from tolerancia where germ=".$mediaInteira;
		//echo("?????tolerancia 4x100  $tolerancia4x100  tolerancia3x100  $tolerancia3x100 sql=$sql   diferenca= $diferenca qualcoluna= $qualColuna mediaInteira=$mediaInteira<br>");

		//////////////////////////////CALCULOS DAS TOLERANCIAS//////////////////////////////////////////////
		/////////////////aqui vai eliminar colunas caso a tolerancia4x10 for menor que a diferenca/////
		//echo("mmmmmmmmmmmmmmmm $mensagem3x100$  numeroColunas2012=  $numeroRepeticoes2012 primeiradiferenca=  $diferenca  tolerancia= $tolerancia4x100<br>");
		//$diferenca=100; //iso é so pra teste
		 //vai zerar as medias de 4  repeticoes
		 $vd1=0;//normais	
		 $vd2=0;//fraca	
		 $vd3=0;//deformadas
		 $vd3=0;//infecionadas	
		 $vd4=0;//anormais
		 $vd5=0;//mortas	
		 $vd6=0;//duras
		 $vd7=0;//dormentes
		 $vd8=0;//dormentes
		 $diferenca=floor($diferenca);



		if($diferenca>$tolerancia4x100)
		{
		     //echo("A diferença da média(4 repetições) para o valor menor é $diferenca e a tolerancia4x100 é $tolerancia4x100 <br> ");
			 //$erroTolerancia="A diferença da média=" .$mediaInteira. " para 4 repetições até valor menor é  ". $diferenca . " e a tolerancia4x100 é ".$tolerancia4x100;
			 $erroTolerancia="A média é " .$mediaInteira. ". A difereça do maior para o menor é  ". $diferenca . " e a tolerancia4x100 é ".$tolerancia4x100;




			 printMSG($erroTolerancia,'alerta');
		     $menor=1000;
			 $somaNormais=0;
		     //aqui tem que calcular a nova media, desconsiderando a(s) colunas rejeitadas E JA CAPTURA O MENOR
		     for($i=1;$i<=4;$i++)   
		     {
		         if($i!=$qualColuna)//porque esta descartando esta coluna 
				     {
						 $volatil=$acumuladora2013[1][$i];
						 $somaNormais+=$volatil;	
						 if($menor > $volatil)
					      {
						     $menor=$volatil;
						  }	 
					 }	
			 } 
			 $menor=$menor*$fatorEspecial;
		     $media=$somaNormais/3*$fatorEspecial;
		     //calcula a diferenca entra a media e menor e pega a posicao do menor
		     $diferenca=$media-$menor;
		     //echo("xxxxxxxxmediaCOM3NUMEROS $media  menor= $menor diferenca=$diferenca<br>");

				$mensagem3x100="";
				$soma=0; 
				$linha=1;
				$colunaVermelha=$qualColuna;
				$colunaVermelha1=100;
				if($numeroRepeticoes2012==8)
				{
				    $colunaVermelha=$qualColuna*2-1;
				    $colunaVermelha1=$qualColuna*2;
				}

				if ($qualColuna>0)
				{
					if($numeroRepeticoes2012==4)$mensagem3x100="Excluiu a coluna ". $qualColuna;
					if($numeroRepeticoes2012==8)$mensagem3x100="Excluiu o ". $qualColuna."º par de colunas.";
				}

				//echo("ccccccccccccColunaVermelhaNumero=$colunaVemelha    Repeticoes2012=  $numeroRepeticoes2012 qualcoluna= $qualColuna<br>");

			//aqui vai verificar se a tolerancia deu dentro dos parametros se ainda nao deu  entao vai testar 3x100
			$tolerancia=1000;
			$mediaInteira=round($media);
			$sql="select dif4x100,dif3x100 from tolerancia where germ=".$mediaInteira;
			$generica=new tabelagenerica();
			$generica->tabela="tolerancia";
			$generica->campos_valores = array(
				"dif4x100" => NULL,
				"dif3x100" => NULL,
			);
			$generica->extras_select =" where  germ=".$mediaInteira;
	        $generica->selecionaTudo($generica);
			while ($resgenerica = $generica->retornaDados()):
				//$tolerancia4x100=$res->dif4x100;
				$tolerancia3x100=$resgenerica->dif3x100;
		    endwhile;
			
			
			//$vetorTolerancia=achacampos($sql);
			//$tolerancia3x100=$vetorTolerancia[1];
			//$tolerancia=0;

			 $diferenca=floor($diferenca);
			//echo("mmmmmmmmmmmmmmmmm3x100= $mensagem3x100$  numeroColunas=  $numeroRepeticoes2012 diferenca=  $diferenca mediaInteira=$mediaInteira  tolerancia3x100= $tolerancia3x100<br>");




		     //echo("A diferença da média(3 repetições) para o valor menor é $diferenca e a tolerancia3x100 é $tolerancia3x100<br>");
			 $erroTolerancia="Descartado o ". $qualColuna. ".  A diferença da média(3 repetições) para o valor menor é  ". $diferenca . " e a tolerancia3x100 é ".$tolerancia3x100;
			 printMSG($erroTolerancia,'erro');
			//$diferenca=100; //iso é so pra teste
		      
			if($diferenca > $tolerancia3x100) 
			{
			   $mensagem3x100="Repita o teste. Está fora da tolerância mesmo eliminando 1 coluna. Oto C. Gugeler 04.03.13";
				 $divisor=3;//coloca aqui so para nao dar erro 
		     }
			 else
			 {
                 $mensagemToleranciaSucesso=	"Tolerancia 3x100=". $tolerancia3x100 ." diferenca=". $diferenca. " qualcoluna=" .$qualColuna. "Media=".$mediaInteira;
		         //aqui vai estar pegando as medias de 3 repeticoes	 	
				 $divisor=3; 
		         //echo("pegando as medias de 3 repetições<br>"); 
				 for($i=1;$i<=4;$i++)	
		     	 {
				     if($i!=$qualColuna)
					 {
				         $vd1+=$acumuladora2013[1][$i]; //normais
				         $vd2+=$acumuladora2013[2][$i]; //fracas
				         $vd3+=$acumuladora2013[3][$i]; //deformadas
				         $vd4+=$acumuladora2013[4][$i]; //infecionadas
				         $vd5+=$acumuladora2013[5][$i];  //anormais
				         $vd6+=$acumuladora2013[6][$i];//mortas
				         $vd7+=$acumuladora2013[7][$i];  //duras  
				         $vd8+=$acumuladora2013[8][$i];  //dormentes  
					 }//nao soma a coluna desprezada
			     }//final do laco for que soma as colunas
				 
			 }//final do teste se a diferenca ficu dentro da tolerancia 3x100 
		}	 
		else   //se a diference é menodr que a tolerancia 4x100 significa que esta tudo correto
		{
            $mensagemToleranciaSucesso=" para media=".$mediaInteira.	"Tolerancia 4x100=". $tolerancia4x100 ." diferenca=". $diferenca. " qualcoluna=" .$qualColuna. "Media=".$mediaInteira;
		     $divisor=4; 
		    // echo("pegando as medias de 4 repetições<br>");
		     for($i=1;$i<=4;$i++)	
			 {
		         $vd1+=$acumuladora2013[1][$i]; //normais
		         $vd2+=$acumuladora2013[2][$i]; //fracas
		         $vd3+=$acumuladora2013[3][$i]; //deformadas
		         $vd4+=$acumuladora2013[4][$i]; //infecionadas
		         $vd5+=$acumuladora2013[5][$i];  //anormais
		         $vd6+=$acumuladora2013[6][$i];//mortas
		         $vd7+=$acumuladora2013[7][$i];  //duras  
		         $vd8+=$acumuladora2013[8][$i];  //dormentes  
			 } //conta todas colunas
		}//fecha o priemiro if aquele que testa incialmente a tolerancia 4x100	

		/*
		==================NAO APAGAR ISSO AQUI===============================
		vd=soma dos valores de cada item,normais,anormais,etc
		media=apenas divide pelos divisor
		mediaformatada=retira os quqbrador que tiver alem da segunda casa
		vf=pega so o valor inteiro
		=====================================================================	
		*/
		//carcula a media 
		     //echo("ddddddddddddddivisor= $divisor<br>");  
			 //caso especial quando trabalha com 200 sementes
			 if(substr($repeticao,0,3)=="4x5"):
                $divisor=$divisor/2;                        			 
			 endif;		    	 


			 $media1=$vd1/$divisor;
			 $media2=$vd2/$divisor;
			 $media3=$vd3/$divisor;
			 $media4=$vd4/$divisor;
			 $media5=$vd5/$divisor;
			 $media6=$vd6/$divisor;
			 $media7=$vd7/$divisor;
			 $media8=$vd8/$divisor;
		    // echo("kkkkkkmedia6= $media6<br>");     	 

		//coloca decimais sempre com 2 casas	 
			 $mediaFormatada1=number_format($media1,2,'.','');
			 $mediaFormatada2=number_format($media2,2,'.','');
			 $mediaFormatada3=number_format($media3,2,'.','');
			 $mediaFormatada4=number_format($media4,2,'.','');
			 $mediaFormatada5=number_format($media5,2,'.','');
			 $mediaFormatada6=number_format($media6,2,'.','');
			 $mediaFormatada7=number_format($media7,2,'.','');
			 $mediaFormatada8=number_format($media8,2,'.','');
		     //echo("kkkkkkmediaFormatada6= $mediaFormatada6<br>");     	 


			//arredonda para  pegar o inteiro
			$vf1=round($media1);
		    $vf2=round($media2);
		    $vf3=round($media3);
		    $vf4=round($media4);
		    $vf5=round($media5);
		    $vf6=round($media6);
		    $vf7=round($media7);
		    $vf8=round($media8);
		    // echo("kkkkkkvf6= $vf6<br>");     	 



			//testar a funcao round
			//$resu=8.4;
			//$ronde=round($resu);
			//echo("round 8.4 $ronde<br>");
			//round arredonda para baixo so o decmal é menor que 0.5 e para cima se for de 0.5 para mais 
			//o ceil arredonda sempre para cima
			//o floor arredonda sempre para baixo
				
		    //a media - floor eu vou ter os valores decimais(o flor retira os decimais)
			
			$deci1=$mediaFormatada1-floor($mediaFormatada1);//normais
			$deci2=$mediaFormatada2-floor($mediaFormatada2);
			$deci3=$mediaFormatada3-floor($mediaFormatada3);//deformadas
			$deci4=$mediaFormatada4-floor($mediaFormatada4);//infecionadas
			$deci5=$mediaFormatada5-floor($mediaFormatada5);//anormais
			$deci6=$mediaFormatada6-floor($mediaFormatada6);//mortas
			$deci7=$mediaFormatada7-floor($mediaFormatada7);//duras
			$deci8=$mediaFormatada8-floor($mediaFormatada8);//dormentes
			//echo("aqui calculou tudo<br>");
			
			//$v1f=12;
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		//echo("sssssssssssssssValor= vf1=$vf1  vf1=$vf5  vf1=$vf6  vf1=$vf7  vf1=$vf8  $soma<br>");

		if($soma!=100)
		{
			 //echo("A soma deu maior que 100 <br>");
			 $mediaOto[1]="M=".$mediaFormatada1."%";
			 $mediaOto[2]="M=".$mediaFormatada2."%";
			 $mediaOto[3]="-";
			 $mediaOto[4]="-";
			 $mediaOto[5]="M=".$mediaFormatada3."%";
			 $mediaOto[6]="-";
			 $mediaOto[7]="-";
			 $mediaOto[8]="-";
			 $mediaOto[9]="M=".$mediaFormatada4."%";
			 $mediaOto[10]="-";
			 $mediaOto[11]="-";
			 $mediaOto[12]="-";
			 $mediaOto[13]="M=".$mediaFormatada6."%";
			 $mediaOto[14]="M=".$mediaFormatada7."%";
			 $mediaOto[15]="M=".$mediaFormatada8."%";
		}  //testou se deu maior que 100

		//echo("kkkkkkkkksoma= $soma<br>");

		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		//vai abater nas mortas
        //RAS PAG 168 =selecionar os de maior parte fracionaria
		//se as partes fracionarias forem iguais vai para o desempate
		//portanto a primeir coisa a fazer é ver se tem partes fracionarias diferentes e manter as maiores
		//echo("sssss  vf1= $vf1  deci1= $deci1  vf2= $vf2  deci2= $deci2 vf3= $vf3  deci3= $deci3 vf4= $vf4  deci4= $deci4 vf5= $vf5  deci5= $deci5 vf6= $vf6  deci6= $deci6<br>");
        //cria um vetor com os decimais
		$vetorDeci[1]=$deci1;//normais   exemplo 97.5  neste caso raro aqui nao vai arredondar para cima
        $vetorDeci[2]=$deci2;//fracas nao interessa
        $vetorDeci[3]=$deci3;//deformadas nao interessa
        $vetorDeci[4]=$deci4;//infecionadas nao interssa
        $vetorDeci[5]=$deci5;//anormais exemplo 0.75
        $vetorDeci[6]=$deci6;//mortas exemplo 0.75
        $vetorDeci[7]=$deci7;//duras exemplo 0.3333333333
        $vetorDeci[8]=$deci8;//dormentes
		//limpar os quebrados so deixando apenas duas casas decimais e nao
		// aquelas dizimas periodicas enormes que nao permitem comparacoes de igualdade
		for($ii=1;$ii<=8;$ii++):
		   $vetorDeci[$ii]= round($vetorDeci[$ii]*100)/100;
		endfor;
		
		//vou perguntar qual é o indice do maior (so que pode ter mais de um maior   exemplo )
		$maior=0;
        for($ind=1;$ind<=8;$ind++):
           if($vetorDeci[$ind]>$maior):
		      $maior=$vetorDeci[$ind];
		      $guardaIndice=$ind;
		   endif;		
		endfor;		
        $maiorDecimal=$vetorDeci[$guardaIndice];
		echo("(M)Maior decimal=$maiorDecimal ");          
        //verifica se todos os decimais sao decimais sao iguais e ja pega o menor decimal porem maior ou igual a 0,5
		//pois so os decimais maores que 0,5 arredondaram para cima
        $guardaIndiceAbater=0;
		for($ind=1;$ind<=8;$ind++):
		   //pergunta se o indie é maior ou igual a 0.5 e menor que o maior decimal
           if($vetorDeci[$ind]>=0.5 && $vetorDeci[$ind]<$maiorDecimal):
		      $valorEncontrado=$vetorDeci[$ind];
		      $guardaIndiceAbater=$ind;
		   endif;		
		endfor;		
		//echo("Decimal a abater antes de abater= $valorEncontrado Indice do item a abater=$guardaIndiceAbater vf5=$vf5 <br>");          
        //se o $guardaIndiceAbater for zero entao vai para o desempate ai entra o caso da precedencia
		//mas se o indice for maior que zero entao abate onde o indice nao foi o maior
        if($guardaIndiceAbater>0):
           if($guardaIndiceAbater==1)$vf1--;
           if($guardaIndiceAbater==2)$vf2--;
           if($guardaIndiceAbater==3)$vf3--;
           if($guardaIndiceAbater==4)$vf4--;
           if($guardaIndiceAbater==5)$vf5--;
           if($guardaIndiceAbater==6)$vf6--;
           if($guardaIndiceAbater==7)$vf7--;
           if($guardaIndiceAbater==8)$vf8--;
        endif;		
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;
        $vf3=$vf5-$vf4;//vf3  é o que aparece nas DEFORMADAS e vf5 É anormais
		echo("Decimal a abater(ou somar)= $valorEncontrado Indice do item a abater=$guardaIndiceAbater vf5=$vf5  vf3=$vf3 soma=$soma <br>");     
        //aqui entra no criterio de desmpate
		
		
		if($soma>100)
		{
		    //echo("sssssssssssssssssantes= $vf6  deci6= $deci6<br>");
			//if($deci6>0.5) $vf6=$vf6;//
			//mortas   se por acaso da 2.75 ele deve arredondar para 3 e permanecer pois os dedimais tem precedencia
			if($deci6<=0.5 && $deci6>0 && $vf6>0) $vf6-=1;//mortas    se deu maior que 100 entao ja abate aqui
			//echo("depois= $vf6<br>");
		}
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		//vai abater nas duras
		if($soma>100)
		{
		    //echo("antes= $vf7  deci7= $deci7<br>");
			//if($deci7>0.5) $vf7=$vf7;//duras
			if($deci7<=0.5 && $deci7>0   && $vf7>0) $vf7-=1;//duras
			//echo("depois= $vf7<br>");
		}
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		//vai abater nas dormentes
		if($soma>100)
		{
		    //echo("<br>antes= $vf8  deci8= $deci8<br>");
			if($deci8<=0.5 && $deci8>0   && $vf8>0) $vf8-=1;//dormentes
			//echo("depois= $vf8<br>");
		}


		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		//vai abater nas anormais caso maikel 18/07/13
		if($soma>100)
		{
		    //echo("<br>antes anormais= $vf5  deci5= $deci5<br>");
			if($deci5<=0.5 && $deci5>0   && $vf5>0):
                //vai aocrrigir as anormais  
			    $vf5-=1;//anormais
				//se ele corrige o valor de normais entao deve correigr infecionadas e defrmadas
			    $vf3=$vf5-$vf4;
			    $vf4=$vf5-$vf3;	
		    endif;		
			//echo("depois   anormais= $vf5<br>");
		}
  		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		

		//echo("valor de soma= $soma<br>");
###############################################################################################		
       //agora verifica se a soma ficou abaixo 100xxxxxxxxxxxxxxxxxxxxxxxxxxxxx
		//vai acrescentar nas normais  18/07/13
		if($soma<100)
		{
		    //echo("<br>normais antes= $vf1  deci5= $deci1    soma= $soma<br>");
			if($deci1>0  && $deci1==$maiorDecimal) $vf1+=1;//anormais
			//echo("depois= $vf1<br>");
		}
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	

		//vai acrescentar nas anormais  18/07/13
		if($soma<100)
		{
		    // echo("<br>anormais antes= $vf5  deci5= $deci5  maiorDecimal=$maiorDecimal<br>");
            //$diferenca5=$deci5-$maiorDecimal;
			//echo("<br>diferenca5= $diferenca5<br>");
			if($deci5>0  && $deci5==$maiorDecimal) $vf5+=1;//anormais
			if($deci3>0  && $deci3==$maiorDecimal) $vf3+=1;//anormais
			if($deci4>0  && $deci4==$maiorDecimal) $vf4+=1;//anormais
			//echo("depois= $vf5<br>");
		}
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	

		//vai acrescentar nas duras
		if($soma<100)
		{
		    //echo("duras antes= $vf7  deci7= $deci7<br>");
			if($deci7>0  && $deci7==$maiorDecimal) $vf7+=1;//duras
			//echo("depois= $vf7<br>");
		}
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;	
		//vai acrescentar nas dormentes
		if($soma<100)
		{
		    //echo("<br> dormentes antes= $vf8  deci8= $deci8<br>");
			if($deci8>0   && $deci8==$maiorDecimal) $vf8+=1;//dormentes
			//echo("depois= $vf8<br>");
		}
		
		$soma=$vf1+$vf5+$vf6+$vf7+$vf8;		
		
		//echo("<br> soma final= $soma<br>");	
		
		//echo("sssssssssssssssValor= vf1=$vf1  vf5=$vf5  vf6=$vf6  vf7=$vf7  vf8=$vf8  $soma<br>");
		//echo("sssssssssssssssccccValor= deci1=$deci1  deci5=$deci5  deci6=$deci6  deci7=$deci7  deci8=$deci8  $soma<br>");
 
        


        
		if($soma==100)
		{
			// echo("soma deu maior que 100<br>");
			 $mediaOto[1]="Mx=".$vf1."%";
			 $mediaOto[2]="M=".$vf2."%";
			 $mediaOto[3]="-";
			 $mediaOto[4]="-";
			 $mediaOto[5]="M=".$vf3."%";
			 $mediaOto[6]="-";
			 $mediaOto[7]="-";
			 $mediaOto[8]="-";
			 $mediaOto[9]="M=".$vf4."%";
			 //$mediaOto[10]="-";
			 $mediaOto[11]="-";
			 $mediaOto[12]="-";
			 $mediaOto[13]="M=".$vf6."%";
			 $mediaOto[14]="M=".$vf7."%";
			 $mediaOto[15]="M=".$vf8."%";
		}  //testou se deu maior que 100









			 //VAI VERIFICAR OS PADROES
		    //$veredito=capturaVeredito($amostraLong,$germinacao,$puras);
			//echo("item 1 do veredito $veredito[0]item 2 do veredito $veredito[1]<br>");
		    $corg="";
			$mensagem1="";
			$mensagem2="";
			if($vf1>0 && $veredito[0]>0)
			{
		        if($vf1< $veredito[0])
		         {
				$corg="red";
		        	$mensagem1="Germinacao fora do padrao";
				$mensagem2="Padrao germinacao=" .$veredito[0];
		         }
			}

		//coloca valores atualzados
		$rotuloLinha[1]="Normais=".$vd1;
		$rotuloLinha[2]="(2ªLeitura)=".$vd2;
		$rotuloLinha[3]="(3ªLeitura)";
		$rotuloLinha[4]="(4ªLeitura)";
		$rotuloLinha[5]="Deform.=". $vd3;
		$rotuloLinha[6]="(2ªLeitura)";
		$rotuloLinha[7]="(3ªLeitura)";
		$rotuloLinha[8]="(4ªLeitura)";
		$rotuloLinha[9]="Infec.=".$vd4;
		$rotuloLinha[10]="(2ªLeitura)";
		$rotuloLinha[11]="(3ªLeitura)";
		$rotuloLinha[12]="(4ªLeitura)";
		$rotuloLinha[13]="Mortas=". $vd6;
		$rotuloLinha[14]="Duras=". $vd7;
		$rotuloLinha[15]="Dorm.=". $vd8;
		//calcula o clv que sera fortes(vd1)-fracas(vd2)
		$valorCLV=0;
		//so faz sentido calcular clv se foi realmente lancado fracas
		if($vd2>0):
			$valorCLV1=$vd1-$vd2;
			$valorCLV=floor($valorCLV1/$divisor);
        endif;
		if($valorCLV==100)$valorCLV=0;//precisa disso pois antes de calcular, quando entra, o valor é 100, 
		
		//aqui terminou de calcular entao vai gravar mas so quando apertou o comando CALCULAR/GRAVAR
		
        //aqui vai gravar na tabela rean e depois tambem na tebela ficha
		$objetoValidacao=new validacao();
		$vaiGravar=TRUE;
        //valida a data de entrada
	    if($vaiCalcularGravar!="SIM"):

		   //printMSG('Não houve gravação. ','alerta');
		    
		else:
		   $dt_entrada=$_POST['direita5'];
		   //echo("data entrada em portugues $dt_entrada <br>");
		   $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
		   if($retorno=='invalida'):
	             printMSG('Preencha corretamente a data do final do teste no formato dd/mm/aaaa, pois nenhum dado foi gravado. ','alerta');
	           $vaiGravar=FALSE;
		   else:
			   $dt_entrada_americana=$retorno;
		   endif;
		    //echo("aqui realmente gravavvvvvvvvvvvvvvvvvvvv <br>");
		    //echo("xxxxxxxxxxxxxxxxxxxxg3= $g3  g4=$g4 vf8=$vf8<br>");
            //acerta o combo6 do tratamento
			$tratamento=$_POST['direita6'];
			$apoio6=$_POST['apoio6'];
			if($apoio6!="")$tratamento=$apoio6;//so vai pegar do combo se tiver sido selecionado algo realmente
            //acerta o combo7 do substrato
			$substrato=$_POST['direita7'];
			$apoio7=$_POST['apoio7'];
			if($apoio7!="")$substrato=$apoio7;//so vai pegar do combo se tiver sido selecionado algo realmente
            //acerta o combo8 do germinador
			$germinador=$_POST['direita8'];
			$apoio8=$_POST['apoio8'];
			if($apoio8!="")$germinador=$apoio8;//so vai pegar do combo se tiver sido selecionado algo realmente
            //acerta o combo9 da temperatura
			$temperatura=$_POST['direita9'];
			$apoio9=$_POST['apoio9'];
			if($apoio9!="")$temperatura=$apoio9;//so vai pegar do combo se tiver sido selecionado algo realmente
			$nomeOperador=$sessao->getVar('nomeuser');
            $user = new rean1(array(
                'rea_v1'=>$vf1,				
                'rea_v2'=>$vf5,				
                'rea_v3'=>$vf7,				
                'rea_v4'=>$vf8,				
                'rea_v5'=>$vf6,				
                'rea_v6'=>$vf4,				
                'rea_segunda_leitura'=>$_POST['direita2'],			
                'rea_datainicio'=>$_POST['direita3'],			
                'rea_duracao'=>$_POST['direita4'],				
				'REA_campo60a'=>$tratamento,
				'REA_campo60b'=>$substrato,
				'REA_campo20b'=>$germinador,
				'REA_campo20a'=>$temperatura,
				'REA_campo60c'=>$_POST['direita10'],
				'REA_operador'=>$nomeOperador, 
				'REA_datageralteste'=>$dt_entrada_americana, 
				'REA_campo100'=>$_POST['direita12'],
				'REA_validade'=>$_POST['direita13'],
				'REA_finalizada'=>'S',
            ));
            $user->valorpk = $reanLong;
            $user->extras_select = "WHERE   rea_id=$reanLong";
            $user->selecionaTudo($user);
            $res = $user->retornaDados();
            $user->atualizar($user);
            if ($user->linhasafetadas==1):
                printMSG('Cálculo Ok! '.$mensagemToleranciaSucesso);
                unset($_POST);
 				$objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,'Germinação',$vf1,$idLabo);					
            else:
				printMSG('Ok.Nada foi alterado. ','alerta');
            endif;
			
            /////////aqui ja le o vetor de novo para mostrar atualizado na tela//////////////
			 	$rean = new rean1();
				$rean->extras_select =" where  rea_teste='".$nomeTeste."'  AND rea_ficha=".$amostraLong ;
                $rean->selecionaTudo($rean);
				while ($resRean = $rean->retornaDados()):
					$reanLong=$resRean->rea_id;
					$finalizada=$resRean->rea_finalizada;
                    $vetorMontado[1]=$resRean->rea_REA_LEI1;
                    $vetorMontado[2]=$resRean->rea_segunda_leitura;
                    $vetorMontado[3]=$resRean->rea_datainicio;
                    $vetorMontado[4]=$resRean->rea_duracao;
					//$vetorMontado[4]=45;
                    $vetorMontado[5]=date("d/m/Y",strtotime($resRean->rea_datageralteste));
                    $vetorMontado[6]=$resRean->rea_campo60a;//tratamento
					$vetorMontado[7]=$resRean->rea_campo60b;//substrato
					$vetorMontado[8]=$resRean->rea_campo20b;//germinador
					$vetorMontado[9]=$resRean->rea_campo20a;//temperatura
					$vetorMontado[10]=$resRean->rea_campo60c;//fungos
					$vetorMontado[11]=$resRean->rea_operador;
					$vetorMontado[12]=$resRean->rea_campo100;
					$vetorMontado[13]=$resRean->rea_validade;
					$vetorMontado[14]="soja";
					$vetorMontado[15]=$reanLong;
					$repeticao=$resRean->rea_lei4;
                    //printf('<td>%s</td>tttttxxxxxxxxxxxxxxx',$res->rea_lei1);
                endwhile;
			//////////////////// 
		endif;
//aqui vai atribuir a data de validade 		
	    if(isset($_POST['bt_validade'])):
		   $dataBras=$_POST['direita5'];
		   $dataAmericana=$objetoValidacao->validaData($dataBras);
		   $validade=$_POST['validade'];
		   //$dataAmericana=date("Y-d-m",strtotime($dataBras));
           //$data = date("d/m/Y H:i:s",strtotime(date("Y-m-d", strtotime($data)) . " +1 month"));//exemplo do google
           $datax = date("m/Y",strtotime(date("Y-m-d", strtotime($dataAmericana)) . " + ".$validade." month"));
		   //echo("validade  dataBras=$dataBras dataAmericanavd=$dataAmericana  datafinal=$datax<br>");
		   $vetorMontado[13]=$datax;
		    printMSG('Clique em gravar!' ,'alerta');	
		endif;
		
			$senhaCli=$sessao->getVar('iduser');
			//$objetocalculo = new calculos(); //calcula todos valores finais
			//isso aqui faz ir para ultima amostra caso nao tenha sido selecionado outra antes
			
			
			
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
            $vetorMontado[1]=$amostra.$legendaFinalidade;

			//captura a especie
            $user = new cultivarespecies();
			$user->extras_select =" where esp_id=ctv_especie and  ctv_id=".$idCultivar ;
            $user->selecionaTudo($user);
			while ($res = $user->retornaDados()):
                $validade=$res->esp_validade;			    
				$especie=$res->esp_nome;
            endwhile;
			$vetorMontado[14]=$especie;
			$legendaSuperior='Cálculo de '.$legendaTeste. ' Amostra:' . $amostra .'  Lote:'.$lote .' - Espécie:'. $especie. ' Referência do teste(ou reteste):'.$reanLong;
			//se for milho ou se for soja e nao estiver preenchido aindaentao vem um valor automatico(sugestao da germinax)
			$valor=$vetorMontado[4];
			$tama=strlen($valor);
			if($tama==0 || $valor==' '):
			    if(trim($especie)=='SOJA')$vetorMontado[4]=6;
			    if(trim($especie)=='MILHO')$vetorMontado[4]=5;
			endif;
            //$vetorMontado[9]=25;
            if($cliente=='GERMINAX'):
               $vetorMontado[7]='EP (ENTRE PAPEL)';
               $vetorMontado[9]=25;
            endif;

            //aqui vai encher o vetor da lista de apoio
			$idLabo=$sessao->getVar('idLabo');
			$genericaApoio=new tabelagenerica();
			$genericaApoio->tabela="escopo";
			$genericaApoio->campos_valores = array(
			    "esc_nome" => NULL,
			    "esc_nome_legal" => NULL,
			);
			$genericaApoio->extras_select =" order by esc_nome";
			$genericaApoio->selecionaCampos($genericaApoio);
			$registrosApoio=0;
			while ($resApoio = $genericaApoio->retornaDados()):
		        $registrosApoio++;
		        $texto=$resApoio->esc_nome;
				//echo("dentro1 do if texto=$texto idLabo=$idLabo<br>");
		        if(strlen($texto)>12):
					//echo("dentro2 do if texto=$texto  idLabo=$idLabo<br>");
                    if(substr($texto,12)==$idLabo):
	                    $matrizApoio[$registrosApoio][1]= substr($texto,0,12);  
	                    $matrizApoio[$registrosApoio][2]= $resApoio->esc_nome_legal;  
						//echo("dentro do if texto=$texto <br>");
					endif; 	
                endif;
            endwhile;
			                
	    if($finalizada=='s'):
		  $desabilita='disabled';
		
		endif;

		?>
             <form class="userform" method="POST" action="">					   

		<!--<body bgcolor="#54ff9f">      este é o verde intenso-->
		<!--<h3><center> Tela de entrada de leituras de germinação</center></h3>-->
				<fieldset>
                <legend> <?php echo $legendaSuperior; ?> </legend>
		<table align="center">
		<tr>
		<td><?php echo $mensagemg?> </td>
		</tr>
		</table>
		              
		<!--aqui vai criar a tabela propriamente dita -->
		<table  bgcolor="#e8e8e8"  cellspacing=0 cellpadinng=0 border="0" align=center> 
		<tr>                                     
			<td>
		  <table>

		<tr>
		<?php
		for($i=0;$i<=$numeroRepeticoes2012;$i++)
		{
		     echo("<th>$coluna[$i] </th>");
		}
		?>  

		 </tr>
		<?php
		//imprime a parte da esquerda||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
		for($i=1;$i<=$numeroLinhas;$i++)
		{  
		     $bloqueador="";
			 if($i==1) $bloqueador="readonly";
			 $nomeCampo="direita".$i;
		     if($i==1 || $i==5|| $i==9|| $i==13|| $i==14|| $i==15)
		     {
			     if($i==5|| $i==9|| $i==13|| $i==14|| $i==15):
				    ?><tr><td bgcolor="#cfa958"><?php
				 else:
				    ?><tr><td bgcolor="#57dd35"><?php
				 endif;
			     ?>
				 <b><?php echo($rotuloLinha[$i])?></b></td>
			     <?php
		     }
		     else
			 {
			     ?>
			     <tr><td>
				 
				 <?php echo($rotuloLinha[$i])?></td>
			     <?php
			 }
		     //parte central onde estao as colunas de  leiturassssssss//////////////////////////////////////////////////
			 //$numeroRepeticoes2012=16;
			 for($j=1;$j<=$numeroRepeticoes2012;$j++):
			     $campo="c".$i.$j;
			     $posicao=$i.$j;
			     //echo("campo= $campo<br>");
			     $conteudo=$v160[$posicao];
		         //$colunaVermelha=4;
			     //echo("ssss $conteudo<br>");
				 //<td bgcolor="<?php echo($cor1); x>" >
				 $cor1="silver";
				 if($j==$colunaVermelha || $j==$colunaVermelha1) $cor1="red";
			     ?>  
				 <td bgcolor="<?php echo($cor1); ?>" >
				 
				 <input <?php echo $bloqueador?>  type="text" name=<?php echo($campo)?> maxlength="3"  value="<?php echo($v160[$posicao])?>" size="1" /></td>
			     <?php
			 endfor;//fecha o fOr interno do numero de repeticoes
			 
			
	 	
		     //parte da direita onde vao as colunas da direita  \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ 
		     ?>
		     <td>
			 <?php   echo($mediaOto[$i]);  ?>
			 </td>

		     <td>

			 <?php
			 if($i>=3 && $i<=9):
				?><input type="submit"  class="MeuInput" name="trazer"  value="<?php echo($direita[$i]).'*R';?>"  /><?php
			 else:
  			    echo($direita[$i]);
			 endif;
             ?>
			 </td>

			 <?php
			 if($i==4)
			 {
		        ?><td><input type="text" name="<?php echo($nomeCampo)?>" maxlength="<?php echo($vetorMaxLeng[$i])?>" value="<?php echo($vetorMontado[$i])?>" size=10 /><?php
			 }
		     else
			 {
			    if($i!=15):
		              ?><td><input type="text" name="<?php echo($nomeCampo)?>" maxlength="<?php echo($vetorMaxLeng[$i])?>" value="<?php echo($vetorMontado[$i])?>" size="20" />
		              <!--aqui vai botar as listas de apoiio conforme cada um dos 4 casos-->
					  <?php
					  
					  
					  
					   if($i==6 || $i==7 || $i==8 || $i==9):
						   $casoApoio="apoio".$i;  //vai valer apoio6, apoio7 etc 
						   
                           //echo("matrizamoio(1)=$matrizApoio[1][1];  ")   
						   ?>  
				                <select name="<?php echo $casoApoio;?>" value=""><!--cada linha que vai colocando ele coloca a variavel com neme diferente-->
								    <option></option>
								    <?php 
									for($variavel=1;$variavel<=$registrosApoio;$variavel++):
									    $codigo=$matrizApoio[$variavel][1];
										//echo("codigo=$codigo<br>");
                                        $conteudo=""; 
										if(substr($codigo,0,2)=="TR" && $i==6)$conteudo=$matrizApoio[$variavel][2];
										if(substr($codigo,0,2)=="SU" && $i==7)$conteudo=$matrizApoio[$variavel][2];
										if(substr($codigo,0,2)=="GE" && $i==8)$conteudo=$matrizApoio[$variavel][2];
										if(substr($codigo,0,2)=="TE" && $i==9)$conteudo=$matrizApoio[$variavel][2];
	                                    if($conteudo!=""):
										?>  
										<option><?php echo $conteudo;?></option>
									   	<?php
										endif;
									endfor;
									?>	
								</select></td>
 						  <?php 
					  endif;//testa se o ié 6,7,8,9
					  if($i==13):
					     ?>
						 mais <input type="text" name="validade"  maxlength="2" size="1" value="<?php echo $validade;?>" /> 
					     <input type="submit" name="bt_validade"   value="meses" /> 
						 <?php
					  endif;
					  if($i==14):
					     ?>
					     <input type="submit" name="bt_reteste"   value="Retestes" /> 
						 <?php
					  endif;
					  
					  
			    else:
		              ?><td><select  name="formato">
                        <option><?php echo $repeticao;?></option>					  
                        <option>4x100</option>					  
                        <option>8x50</option>					  
                        <option>16x25</option>					  
                        <option>4x50</option>					  
                        </select>	
						<input type="submit"  name="trocarformato"  value="Ajustar/Fixar"  /></td>
					  <?php
				endif; 		  
			 }
			 ?>
		     </td>
		     </tr>
		     <?php
		}//aqui fecha o for
		     ?> 
		     
		     
		     </tr>
			 </thead>
			 </table>
		     <table width="1000" border="1" cellspacing="1"  align="center">
		     <tr>
			 <td><?php echo($mensagem3x100)?></td>
			 <input type="hidden" name="reanLong" value="<?php echo($reanLong)?>" size=2 /></td>
			 <input type="hidden" name="finalizada" value="<?php echo($finalizada)?>" size=1 /></td>
			 <input type="hidden" name="amostraLong" value="<?php echo($amostraLong)?>" />
			 <input type="text" name="valorCLV" value="<?php echo($valorCLV)?>" />

            <td><label3>Amostra:</label3></td>
			<td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b></td>
		    <td><input type="submit" name="acharDigitada" value="<--Acharx" />
			<td>
			<input type="submit" name="acharRecua" value="<" />
			<input type="submit" name="acharAvanca" value=">" />
			<input type="submit" name="acharUltima" value=">|" />
			</td>


			<td><input type="submit" name="manual" value="Ajuda" /></td>
			
			
			<td bgcolor="silver">
			<?php
			if($finalizada=="s"):
			?>
				<input type="submit" name="reabre" value="Reabre" />
			<?php	
			else:
            ?>
				<input type="submit" name="fechar" value="Fechar" />Sim
				<input type="checkbox"   name="cb_fechar" />
			<?php	
			endif;
            ?>  			
			
			
			
			</td>
			<td><input type="submit"  name="gravaclv"   <?php echo $desabilita; ?>  value="Gravar CLV"  /></td>
			<td><input type="submit"  name="calculargravar"   <?php echo $desabilita; ?>  value="Calcular&Gravar"  /></td>
			</form>


		     </tr>
		     </table>

		     </td>
		     </tr>
		     </tbody>
		     </table>
		     </center>
			 </<fieldset>
			 
			 
       <?php 	
	}//final da function calculageral   	 
?>